Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Web Services Security Java API Reference 10g Release 3 (10.1.3) B25382-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.wss
Class WSUCreated

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.wss.WSUCreated`

public class WSUCreated
extends oracle.security.xmlsec.util.XMLElement

Represents a `wsu:Created` element as defined in the WSU schema.

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`WSUCreated(org.w3c.dom.Document owner)` Create a WSUCreated instance with the given XML Document context.
`WSUCreated(org.w3c.dom.Document owner, java.lang.String valType)` Create a WSUCreated instance with the given XML Document context.
`WSUCreated(org.w3c.dom.Element element)` Create a new WSUCreated instance from the given XML element.
`WSUCreated(org.w3c.dom.Element element, java.lang.String systemId)` Create a new WSUCreated instance from the given XML element.

Method Summary
`java.util.Date` | `getValue()` Return the creation timestamp value of this element.
`java.lang.String` | `getValueType()` Returns the `QName` identifyting this token type.
`void` | `setValue(java.util.Date created)` Set the creation timestamp value of this element.
`void` | `setValueType(java.lang.String valType)` Set the `QName` identifyting this token type.

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WSUCreated

    public WSUCreated(org.w3c.dom.Element element)

  Create a new WSUCreated instance from the given XML element.
Parameters:
  `element` - A wsu:Created element.

### WSUCreated

    public WSUCreated(org.w3c.dom.Element element,
                      java.lang.String systemId)

  Create a new WSUCreated instance from the given XML element.
Parameters:
  `element` - A wsu:Created element
  `systemId` - The URI string system ID for this element.

### WSUCreated

    public WSUCreated(org.w3c.dom.Document owner)

  Create a WSUCreated instance with the given XML Document context.
Parameters:
  `owner` - A XML Document to be used as the owner document of this structure.

### WSUCreated

    public WSUCreated(org.w3c.dom.Document owner,
                      java.lang.String valType)

  Create a WSUCreated instance with the given XML Document context.
Parameters:
  `owner` - A XML Document to be used as the owner document of this structure.
  `valType` - The token type identifier.

Method Detail

### setValueType

    public void setValueType(java.lang.String valType)

  Set the `QName` identifyting this token type.
  Parameters:
    `valType` - The QName string indicating the value type.

### getValueType

    public java.lang.String getValueType()

  Returns the `QName` identifyting this token type.
  Returns:
    The QName string.

### setValue

    public void setValue(java.util.Date created)

  Set the creation timestamp value of this element.
  Parameters:
    `created` - The creation timestamp.

### getValue

    public java.util.Date getValue()

  Return the creation timestamp value of this element.
  Returns:
    The creation timestamp.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Web Services Security Java API Reference 10g Release 3 (10.1.3) B25382-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.